1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Best way to install Plesk

Discussion in 'Plesk for Linux - 8.x and Older' started by coderli, May 26, 2005.

  1. coderli

    coderli Guest

    0
     
    Hi, I need some recommendation on installing Plesk 7.5.3. In the past I've been using the Plesk autoinstaller to install Plesk and it's been easy and simple. However, I have just recently changed host and when I try to install Plesk the using the autoinstaller it is giving me all sorts of error messages.

    Should I install using the RPMs? or Autoinstaller? I just had the tech reinstall the OS so it OS is now clean. I do not want to do a reinstall the OS again b/c it's costly :( .

    Here is my hosting specs.
    VPS (Virtual Private Server)
    10GB storage space
    Full root access *
    SSH access

    * Now on the first attempt to install Plesk using the autoinstaller, some of the errors are security and permissions. I am wondering whether I really do have true root access or not. I am able to login using the "root" username with my password. Should I "su -" just incase?

    Here are two of the error messages I still have records of.
    Code:
    
    /etc/security/selinux/file_contexts: No such file or directory
    
    
    Here is the second
    Code:
    
    ERROR while trying to Unable to get admin password
    
    Aborting...
    
    
    Any help on this would be great and I really do appreciated, thanks in advance.

    Coderli
     
  2. Cranky

    Cranky Guest

    0
     
    Hi,

    Which VPS platform are you using? UML?

    Which OS?
     
  3. coderli

    coderli Guest

    0
     
    The OS is Fedora Core 2, software used to create the VPS... I do not know but I am emailing the tech now, I'm pretty sure it's not SwSoft Virtuozzo though. And I'm not sure what UML is? can you explain that?
     
  4. Cranky

    Cranky Guest

    0
     
    UML's UserModeLinux just a free type of VPS software. I'm not overly familiar with it to be honest, nor with freevps or any of the others out there.

    If you run:

    df -h

    If that shows "vzfs" somewhere you're running Virtuozzo, if not you're not running Virtuozzo.

    Do you have a copy of the Plesk installer error log?
     
  5. coderli

    coderli Guest

    0
     
    Ok the VPS software filesystem is vzfs after running the "df -h" command.

    Here is the errror log from psa_installer_v2.0.0_build75050509.20_os_FedoraCore_2_i686.log

    Code:
    ---
    
    Preparing for packages installation...
    ----- begin of output -----
    Installing /PSA_7.5.3/rpm_FedoraCore_2/base/psa-api-common-7.5.3-fc2.build75050523.15.noarch.rpm
    Installing /PSA_7.5.3/rpm_FedoraCore_2/base/psa-api-cli-7.5.3-fc2.build75050523.15.noarch.rpm
    Installing /PSA_7.5.3/rpm_FedoraCore_2/opt/api/psa-api-rpc-7.5.3-fc2.build75050523.15.noarch.rpm
    Installing /PSA_7.5.3/rpm_FedoraCore_2/opt/api/psa-agent-1.3.4-75050523.15.noarch.rpm
    /etc/security/selinux/file_contexts: No such file or directory
    /var/tmp/rpm-tmp.82199: line 2: /usr/local/psa/admin/bin/php: No such file or directory
    error: %post(psa-api-rpc-7.5.3-fc2.build75050523.15) scriptlet failed, exit status 127
    
    ----- end of output -----
    packages failed to install: Not all required packages were installed.
    ===> Autoinstaller: stopped logging at Fri May 27 20:25:27 2005
    
     
  6. Cranky

    Cranky Guest

    0
     
    Run:

    rpm -qa | grep psa

    ... that'll show us which RPM's are actually installed so far. You don't need to install the /opt/ rpm's at the same time as the /base/ rpm's ... do base first.
     
  7. coderli

    coderli Guest

    0
     
    Ok this is what I got after running that command.

    Code:
    
    [root@88 root]# rpm -qa | grep psa
    psa-courier-imap-add-7.5.3-fc2.build75050506.13
    perl-MLDBM-Sync-0.30-44psa
    psa-manual-custom-skin-guide-7.5.3-fc2.build75050506.13
    psa-passwd-3.0-fc2.build75050506.13
    psa-api-rpc-protocol-7.5.3-fc2.build75050523.15
    psa-proftpd-xinetd-1.2.10-fc2.build75050506.13
    psa-imp-4.0.3-fc2.build75050506.13
    perl-HTML-Tree-3.16-44psa
    psa-ingo-1.0.1-fc2.build75050506.13
    psa-agent-1.3.4-75050523.15
    psa-key-7.5-fc2.build75050506.13
    psa-bu-7.5.3-fc2.build75050506.13
    psa-spamassassin-7.5.3-fc2.build75050506.13
    perl-HTML-Format-1.23-44psa
    psa-kronolith-2.0.2-fc2.build75050506.13
    drweb-4.32.2-rh7_psa
    psa-qmail-1.03-fc2.build75050506.13
    psa-logrotate-3.7-fc2.build75050506.13
    psa-locale-base-en-US-7.5.3-fc2.build75050506.13
    psa-hotfix-7.5.3-fc2.build75050509.16
    psa-api-rpc-7.5.3-fc2.build75050509.09
    perl-Font-AFM-1.18-44psa
    perl-MLDBM-2.01-44psa
    psa-tomcat-configurator-7.1.7-fc2.build71050228.12
    psa-firewall-1.0.1-fc2.build75050506.13
    psa-mnemo-2.0.1-fc2.build75050506.13
    psa-api-cli-7.5.3-fc2.build75050523.15
    psa-api-rpc-doc-7.5.3-fc2.build75050523.15
    psa-pre-keyupdate-7.5.3-fc2.build75050506.13
    frontpage-5.0-71psa.fc2
    perl-FreezeThaw-0.43-44psa
    psa-api-rpc-7.5.3-fc2.build75050523.15
    psa-qmail-rblsmtpd-0.70-fc2.build75050506.13
    psa-turba-2.0.2-fc2.build75050506.13
    psa-proftpd-1.2.10-fc2.build75050506.13
    psa-horde-3.0.4-fc2.build75050506.13
    psa-locale-base-en-7.1.7-fc2.build71050228.12
    mod_webapp-4.1.29-24psa.fc2
    psa-migration-manager-7.5.3-fc2.build75050506.18
    psa-api-common-7.5.3-fc2.build75050523.15
    psa-7.5.3-fc2.build75050506.13
    
    
     
  8. coderli

    coderli Guest

    0
     
    Cranky, I did some changes and tried the reinstallation again and here is the new error log:

    Code:
    
     Checking for the group 'psaserv'...
     Trying to add supplementary group 'psaserv' for user 'apache'...  already there
     Checking for the group 'psaserv'...
     Trying to add supplementary group 'psaserv' for user 'psaftp'...  already there
     Checking for the group 'psaserv'...
     Trying to add supplementary group 'psaserv' for user 'psaadm'...  already there
     group psacln already exists
    /usr/local/psa/bin/chrootsh already registered as a login shell
    Running /usr/local/psa/bin/install_post.sh 1 ...
    
    Setting the default locale
    
    ERROR while trying to setting default locale
    Check the error reason(see log file: /tmp/psa_7.5.3_FedoraCore_2_build75050506.13_installing.log), fix and try again
    
    Aborting...
    
    
    WARNING: post-install script of  RPM package psa-7.5.3-fc2.build75050506.13 execution
    failed. As the the package psa-7.5.3-fc2.build75050506.13 was registered in the RPM
    database, you need to execute the following command before attempting
    to reinstall the package:
    rpm -e psa-7.5.3-fc2.build75050506.13
    
    error: %post(psa-7.5.3-fc2.build75050506.13) scriptlet failed, exit status 1
    Not all required packages were installed.
    
    
    
    How do I get it to set the default locale correctly?
     
Loading...